Get a product
GET
/api/website/products/{id}
const url = 'https://api.petanqueai.com/api/website/products/example';const options = {method: 'GET', headers: {'x-storefront-token': '<x-storefront-token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.petanqueai.com/api/website/products/example \ --header 'x-storefront-token: <x-storefront-token>'One sellable product, in the same shape as the list. A product that is inactive, has no web price or does not exist answers 404.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string